# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/motorola,cpcap-rtc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Motorola CPCAP PMIC RTC

maintainers:
  - Svyatoslav Ryhel <clamor95@gmail.com>

description:
  This module is part of the Motorola CPCAP MFD device. For more details
  see Documentation/devicetree/bindings/mfd/motorola,cpcap.yaml. The
  RTC is represented as a sub-node of the PMIC node on the device tree.

properties:
  compatible:
    const: motorola,cpcap-rtc

  interrupts:
    items:
      - description: alarm interrupt
      - description: 1 Hz interrupt

required:
  - compatible
  - interrupts

additionalProperties: false

...
